'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _path, _path2, _g, _path3;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgNamibia = function SvgNamibia(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 64 48",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React__namespace.createElement("mask", {
    id: "Namibia_svg__a",
    width: 62,
    height: 46,
    x: 1,
    y: 1,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "alpha"
    }
  }, _path || (_path = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#D9D9D9",
    stroke: "#000",
    d: "M8 1.5h48A6.5 6.5 0 0 1 62.5 8v32a6.5 6.5 0 0 1-6.5 6.5H8A6.5 6.5 0 0 1 1.5 40V8A6.5 6.5 0 0 1 8 1.5Z"
  }))), /*#__PURE__*/React__namespace.createElement("g", {
    mask: "url(#Namibia_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("mask", {
    id: "Namibia_svg__b",
    width: 62,
    height: 46,
    x: 1,
    y: 1,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "luminance"
    }
  }, _path2 || (_path2 = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#fff",
    d: "M1 1h62v46H1z"
  }))), _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    mask: "url(#Namibia_svg__b)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#FFFFFE",
    d: "M1 1h62v46H1z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#3662A2",
    d: "m-1.558 1.02.078 33.12L50.648 1z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#38A100",
    d: "m65.557 46.962-.135-34.433L12.848 46.98l52.7-.02z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#C70000",
    d: "m-1.519 36.63.04 10.37 11.382-.01 55.558-36.847-.068-9.018-11.237-.096L-1.52 36.62z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#FFE700",
    d: "m22.274 17.484-2.112-1.266-1.22 2.118-1.183-2.127-2.131 1.236.058-2.434-2.46.02 1.278-2.09-2.14-1.198 2.15-1.179-1.24-2.108 2.46.057-.01-2.443 2.103 1.265 1.22-2.118 1.183 2.127 2.13-1.236-.057 2.434 2.46-.019-1.279 2.09 2.141 1.197-2.15 1.179 1.24 2.108-2.46-.057z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#3662A2",
    d: "M23.514 11.772c0 2.453-2.025 4.437-4.514 4.437s-4.515-1.984-4.515-4.437S16.5 7.344 19 7.344s4.514 1.984 4.514 4.428"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#FFE700",
    d: "M22.535 11.772c0 .928-.373 1.817-1.036 2.473A3.56 3.56 0 0 1 19 15.27a3.56 3.56 0 0 1-2.5-1.025 3.48 3.48 0 0 1-1.036-2.473c0-.928.372-1.818 1.036-2.474a3.56 3.56 0 0 1 2.5-1.024c.938 0 1.837.368 2.5 1.024a3.48 3.48 0 0 1 1.036 2.474"
  })))), _path3 || (_path3 = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#C3CDD5",
    fillRule: "evenodd",
    d: "M56 1H8a7 7 0 0 0-7 7v32a7 7 0 0 0 7 7h48a7 7 0 0 0 7-7V8a7 7 0 0 0-7-7M8 0a8 8 0 0 0-8 8v32a8 8 0 0 0 8 8h48a8 8 0 0 0 8-8V8a8 8 0 0 0-8-8z",
    clipRule: "evenodd"
  })));
};

exports.ReactComponent = SvgNamibia;
